package v2role_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type V2RoleDetailRequest struct {
	// <ext>core:true</ext> 【角色id】角色id
	Id string `json:"id,omitempty"`
}

func (obj V2RoleDetailRequest) GetUrl() string {
	return "/v2/role/detail"
}

func (obj V2RoleDetailRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
